using CaseAccountingContracts.BindingModels;
using CaseAccountingContracts.SearchModels;
using CaseAccountingContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CaseAccountingContracts.BusinessLogicContracts
{
    public interface IHearingLogic
    {
        List<HearingViewModel>? ReadList(HearingSearchModel? model);
        HearingViewModel? ReadElement(HearingSearchModel model);
        bool Create(HearingBindingModel model);
        bool Update(HearingBindingModel model);
        bool Delete(HearingBindingModel model);
    }
}
